Request for CI staging project
Closed, ResolvedPublic

Description

Project Name: ci-staging

Purpose: ongoing project to test updates to various CI systems.

Wikitech username of requestor: @thcipriani

Brief description:

In discussing the move to Jenkins 2 @hashar and I identified a need for a testing environment similar to Beta but for the CI infra. After talking to the rest of Release-Engineering-Team it seems like this would be a generally useful environment. We did some basic capacity planning in the comments of this task.

Ask:

6 instances
16 CPU
32 GB ram
320 GB storage
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2016, 4:56 PM

Open questions:

  • Capacity planning...
    • Gerrit/Zuul/Jenkins on 1 machine -- likely an XLarge/Large Jessie
    • Jenkins agent node m1.small
    • Phabricator/Differential/Harbormaster? <-- Do we have one of these in beta?
    • Do we have a reference/test Gerrit in labs? Do we want one here for integration tests?

last two open questions likely need input from @mmodell and @demon

demon added a comment.Nov 15 2016, 5:05 PM
  • Do we have a reference/test Gerrit in labs? Do we want one here for integration tests?

    last two open questions likely need input from @mmodell and @demon

We have the project that Paladox runs for testing new Gerrit versions & config changes, but if you're looking for something pristine that models production we don't have it. Wouldn't hurt, and only needs a single node (doesn't even have to be xlarge)

@thcipriani I've tried to set up phabricator in beta a few times with limited success. I'm sure we can get one working if needed though.

Puts us at:

  • 1x m1.medium for puppetmaster
    • 2 vCPU, 4GB ram, 40GB storage
  • 1x m1.xlarge for zuul/jenkins
    • 8 CPU, 16GB ram, 160GB storage
  • 2x m1.small for a jenkins agent nodes
    • 2 CPU, 4GB ram, 40GB storage (for both in total)
  • 1x m1.medium for gerrit
    • 2 CPU, 4GB ram, 40GB storage
  • 1x m1.medium for phab
    • 2 CPU, 4GB ram, 40GB storage

Total of:

  • 6 instances
  • 16 CPU
  • 32 GB ram
  • 320 GB storage

Seems like that would make a good ci-staging project.

thcipriani updated the task description. (Show Details)
thcipriani renamed this task from Staging Project for RelEng to Request for CI staging project.

Some raw notes I removed from the task description to make this a request:

  • Setup Jenkins/Zuul/gearman, Gerrit et al. on a xlarge host
  • Setup new Jenkins agent node on same project
  • Test upgrade to Jenkins2.x
  • puppetmaster::standalone instance needed to test puppet patches as well
  • Other hosts that may be needed
    • Phab (testing differential/harbormaster + jenkins)
    • Gerrit (integration tests for gerrit)

Benefits

  • Ability to test changes quickly
  • Have test ground for gerrit and jenkins -- RelEng probably needs this
  • Could be generally useful to play with differential/harbormaster

Tricky parts

  • May not emulate production accurately :\
thcipriani triaged this task as Normal priority.

I have a zuul/jenkins/gerrit setup in the git project. I have been using jenkins 2.x.

chasemp updated the task description. (Show Details)Nov 16 2016, 7:19 PM
Andrew added a subscriber: Andrew.Nov 18 2016, 8:53 PM

Sounds ok to me!

We talked and this seems reasonable. Thanks @thcipriani for the outline. A modest PSA if you guys have new project requests coming down the line before the end of the year (and in general I suppose) as much early notice as possible is your best bet.

@Andrew +1?

Andrew closed this task as Resolved.Nov 18 2016, 9:26 PM
Andrew claimed this task.

Done, with @thcipriani as the initial project admin.